# opentl::core::cvdata::HarrisKeypoints Class Reference

Inherits opentl::core::cvdata::VisualFeatures.

List of all members.

## Classes
class | HarrisInfo
| This class hosts information about a single Harris keypoint (position, descriptor etc.). More...
## Public Member Functions
virtual HarrisKeypoints * | clone () const
| Creates new HarrisKeypoints class instance by cloning an existing one.
virtual int | dimension () const
| Get current number of valid features stored.
HarrisInfo * | getKeypoint (int i)
| Get pointer to the i-th keypoint.
virtual int | getMatches () const
| Get current number of matching features.
int | getMaxDimension () const
| Number of allocated features (but not necessarily valid!).
int | getWinSize () const
| Size of descriptor window.
| HarrisKeypoints (const HarrisKeypoints &c)
| Copy constructor.
| HarrisKeypoints (int xres, int yres, int winSize=25, int maxFeatures=1000)
| Constructor.
virtual HarrisKeypoints & | operator= (const HarrisKeypoints &c)
| Reset the feature list, and copy from the new one.
void | setDimension (std::size_t dim)
| Specify how many valid features are currently stored.
void | setMatches (int m)
| Set number of matching features.
virtual | ~HarrisKeypoints ()

## Constructor & Destructor Documentation

opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints | ( | int | xres,
|  | int | yres,
|  | int | winSize = `25`,
|  | int | maxFeatures = `1000` |
| ) |  |  |

Constructor.

Parameters:

  | descSize | Input descriptor window size
  | maxFeatures | Input maximum number of detected features

opentl::core::cvdata::HarrisKeypoints::HarrisKeypoints | ( | const HarrisKeypoints & | c | ) |

Copy constructor.

virtual opentl::core::cvdata::HarrisKeypoints::~HarrisKeypoints | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual HarrisKeypoints* opentl::core::cvdata::HarrisKeypoints::clone | ( |  | ) | const`[virtual]`

Creates new HarrisKeypoints class instance by cloning an existing one.

virtual int opentl::core::cvdata::HarrisKeypoints::dimension | ( |  | ) | const`[inline, virtual]`

Get current number of valid features stored.

HarrisInfo* opentl::core::cvdata::HarrisKeypoints::getKeypoint | ( | int | i | ) | `[inline]`

Get pointer to the i-th keypoint.

virtual int opentl::core::cvdata::HarrisKeypoints::getMatches | ( |  | ) | const`[inline, virtual]`

Get current number of matching features.

int opentl::core::cvdata::HarrisKeypoints::getMaxDimension | ( |  | ) | const`[inline]`

Number of allocated features (but not necessarily valid!).

int opentl::core::cvdata::HarrisKeypoints::getWinSize | ( |  | ) | const`[inline]`

Size of descriptor window.

virtual HarrisKeypoints& opentl::core::cvdata::HarrisKeypoints::operator= | ( | const HarrisKeypoints & | c | ) | `[virtual]`

Reset the feature list, and copy from the new one.

void opentl::core::cvdata::HarrisKeypoints::setDimension | ( | std::size_t | dim | ) | `[inline]`

Specify how many valid features are currently stored.

void opentl::core::cvdata::HarrisKeypoints::setMatches | ( | int | m | ) | `[inline]`

Set number of matching features.